How do I use this?

Discussion in 'AutoCAD' started by adamstcyr, Jul 8, 2004.

  1. adamstcyr

    adamstcyr Guest

    I searched and found this to delete Layer Filters:

    (defun C:fe ()
    (vl-Load-Com)
    (vl-Catch-All-Apply '(lambda ()
    (vla-Remove
    (vla-GetExtensionDictionary
    (vla-Get-Layers
    (vla-Get-ActiveDocument
    (vlax-Get-Acad-Object)))) "ACAD_LAYERFILTERS")))
    (princ "\nAll layer filters have been deleted.")
    (princ)
    )

    Could someone tell me how to use it?
    I'm assuming it's a Visual Basic routine?

    Sorry...I'm REALLY naive on this stuff.....but these filters are driving me up the wall....and there is about 300 of them.

    TIA
     
    adamstcyr, Jul 8, 2004
    #1
  2. adamstcyr

    Ed Jobe Guest

    No, its not vba. Its lisp. Save the code to a text file using Notepad and
    name it fe.lsp. Then drag it to your current dwg to load it and type
    FE at the command line.

    --
    ----
    Ed
    ----
    me up the wall....and there is about 300 of them.
     
    Ed Jobe, Jul 8, 2004
    #2
  3. adamstcyr

    adamstcyr Guest

    what do you mean by dragging it to my current drawing?

    just drag and drop it in the actual autocad file?
     
    adamstcyr, Jul 8, 2004
    #3
  4. adamstcyr

    adamstcyr Guest

    thanks....

    I got it.
     
    adamstcyr, Jul 8, 2004
    #4
  5. adamstcyr

    Ed Jobe Guest

    Yes, using Explorer. I just gave you the simplest way, since you are not
    familiar with programming. You could also use Appload. Check out help on how
    to use this.
     
    Ed Jobe, Jul 8, 2004
    #5
  6. adamstcyr

    R.K. McSwain Guest

    Only 300? :)
    Wait till you have about 9000, and they start propagating to every drawing... UGH
     
    R.K. McSwain, Jul 8, 2004
    #6
Ask a Question

Want to reply to this thread or ask your own question?

You'll need to choose a username for the site, which only take a couple of moments (here). After that, you can post your question and our members will help you out.